;;; -*- Mode:Common-Lisp; Package:user; Base:10 -*-


(in-package :user)

"John found the bread. 
 He paid for it."

(setf *t1*
      '((inst find1 finding)
	(finder find1 john1)
	(name john1 john)
	(thing-found find1 bread1)
	(inst bread1 bread)
	(precede find1 pay1)
	(inst pay1 paying)
	(payer pay1 john1)
	(thing-paid pay1 bread1)))

(setf *at1*
      '((inst ?s shopping)
        (find-step ?s find1)
        (buy-step ?s ?b)
        (pay-step ?b pay1)
        (shopper ?s john1)
        (thing-shopped-for ?s bread1)
        (inst bread1 bread)
        (name john1 john)
        (precede find1 pay1)))

"Bob got a gun.  
 He got off the bus at the liquor store."

(setf *t2*
      '((inst get2 getting)
	(agent-get get2 bob2)
	(name bob2 bob)
	(patient-get get2 gun2)
	(inst gun2 gun)
	(precede get2 getoff2)
	(inst getoff2 getting-off)
	(agent-get-off getoff2 bob2)
	(patient-get-off getoff2 bus2)
	(inst bus2 bus)
	(place-get-off getoff2 ls2)
	(inst ls2 liquor-store)))

(setf *at2*
      '((inst ?r robbing)
        (inst ?b going-by-bus)
        (get-weapon-step ?r get2)
        (go-step ?r ?b)
        (get-off-step ?b getoff2)
        (robber ?r bob2)
        (weapon-rob ?r gun2)
        (place-rob ?r ls2)
        (vehicle ?b bus2)
        (inst gun2 gun)
        (inst ls2 liquor-store)
        (name bob2 bob)
        (precede get2 getoff2)))

"Bob went to the supermarket.  
 He pointed a gun at the owner."

(setf *t3*
      '((inst go3 going)
	(goer go3 bob3)
	(name bob3 bob)
	(dest-go go3 sm3)
	(inst sm3 smarket)
	(precede go3 point3)
	(inst point3 pointing)
	(agent-point point3 bob3)
	(instr-point point3 gun3)
	(inst gun3 gun)
	(patient-point point3 o3)
	(own o3 sm3)))

(setf *at3*
      '((inst ?r robbing)
        (go-step ?r go3)
        (point-weapon-step ?r point3)
        (robber ?r bob3)
        (place-rob ?r sm3)
        (weapon-rob ?r gun3)
        (victim-rob ?r o3)
        (inst sm3 smarket)
        (inst gun3 gun)
        (own o3 sm3)
        (name bob3 bob)
	(precede go3 point3)))

"Bill packed a suitcase. 
 He got off the bus at the airport."

(setf *t4*
      '((inst pack4 packing)
        (agent-pack pack4 bill4)
        (name bill4 bill)
        (patient-pack pack4 sc4)
        (inst sc4 suitcase)
	(precede pack4 getoff4)
	(inst getoff4 getting-off)
	(agent-get-off getoff4 bill4)
	(patient-get-off getoff4 bus4)
	(inst bus4 bus)
	(place-get-off getoff4 airport4)
	(inst airport4 airport)))

(setf *at4*
      '((inst ?p going-by-plane)
	(inst ?b going-by-bus)
	(pack-step ?p pack4)
	(go-step ?p ?b)
	(get-off-step ?b getoff4)
	(goer ?p bill4)
	(plane-luggage ?p sc4)
	(vehicle ?b bus4)
	(source-go ?p airport4)
	(inst sc4 suitcase)
	(name bill4 bill)
	(precede pack4 getoff4)))

"Jack gave the busdriver a token.  
 He got off at the supermarket.
 He paid for some milk."

(setf *t5*
      '((inst give5 giving)
	(giver give5 jack5)
	(name jack5 jack)
	(recipient give5 bd5)
	(occupation bd5 busdriver)
	(thing-given give5 tk5)
	(inst tk5 token)
	(precede give5 getoff5)
	(inst getoff5 getting-off)
	(agent-get-off getoff5 jack5)
	(place-get-off getoff5 sm5)
	(inst sm5 smarket)
	(precede getoff5 pay5)
	(inst pay5 paying)
	(payer pay5 jack5)
	(thing-paid pay5 milk5)
	(inst milk5 milk)))

(setf *at5*
      '((inst ?s smarket-shopping)
	(inst ?b going-by-bus)
	(go-step ?s ?b)
	(give-token-step ?b give5)
	(get-off-step ?b getoff5)
	(buy-step ?s ?u)
	(pay-step ?u pay5)	
	(shopper ?s jack5)
	(bus-driver ?b bd5)
	(token ?b tk5)
	(store ?s sm5)
	(thing-shopped-for ?s milk5)
	(inst milk5 milk)
	(name jack5 jack)  
	(precede give5 getoff5) 
	(precede getoff5 pay5)))

"Jack gave the busdriver a token.  
 He got off at the restaurant.
 He paid for some milk."

(setf *t6*
      '((inst give6 giving)
	(giver give6 jack6)
	(name jack6 jack)
	(recipient give6 bd6)
	(occupation bd6 busdriver)
	(thing-given give6 tk6)
	(inst tk6 token)
	(precede give6 getoff6)
	(inst getoff6 getting-off)
	(agent-get-off getoff6 jack6)
	(place-get-off getoff6 rest6)
	(inst rest6 restaurant)
	(precede getoff6 pay6)
	(inst pay6 paying)
	(payer pay6 jack6)
	(thing-paid pay6 milk6)
	(inst milk6 milk)))

(setf *at6*
      '((inst ?d rest-dining)
        (inst ?b going-by-bus)
        (go-step ?d ?b)
        (give-token-step ?b give6)
        (get-off-step ?b getoff6)
        (pay-step ?d pay6)        
        (diner ?d jack6)
        (bus-driver ?b bd6)
        (token ?b tk6)
        (restaurant ?d rest6)
        (rest-thing-ordered ?d milk6)
        (inst milk6 milk)
        (name jack6 jack)
        (precede give6 getoff6)
        (precede getoff6 pay6)))

"Fred got a gun.  
 He got some money from the owner of the supermarket."

(setf *t7*
      '((inst get7 getting)
	(agent-get get7 fred7)
	(name fred7 fred)
	(patient-get get7 gun7)
	(inst gun7 gun)
	(precede get7 get7b)
	(inst get7b getting)
        (agent-get get7b fred7)
        (patient-get get7b money7)
        (inst money7 money)
        (from-get get7b o7)
	(own o7 sm7)
	(inst sm7 smarket)))

(setf *at7*
      '((inst ?r robbing)
        (get-weapon-step ?r get7)
        (get-valuable-step ?r get7b)
        (robber ?r fred7)
        (weapon-rob ?r gun7)
        (thing-robbed ?r money7)
        (victim-rob ?r o7)
        (inst gun7 gun)
        (inst money7 money)
        (own o7 sm7)
        (inst sm7 smarket)
        (name fred7 fred)
        (precede get7 get7b)))

"Fred got a gun.  
 He went to the restaurant.  
 He packed a suitcase."

(setf *t8*
      '((inst get8 getting)
	(agent-get get8 fred8)
	(name fred8 fred)
	(patient-get get8 gun8)
	(inst gun8 gun)
	(precede get8 go8)
	(inst go8 going)
	(goer go8 fred8)
	(dest-go go8 rest8)
	(inst rest8 restaurant)
	(precede go8 pack8)
	(inst pack8 packing)
        (agent-pack pack8 fred8)
        (patient-pack pack8 sc8)
        (inst sc8 suitcase)))

(setf *at8*
      '((inst ?r robbing)
	(get-weapon-step ?r get8)
	(go-step ?r go8)
	(robber ?r fred8)
	(weapon-rob ?r gun8)
	(place-rob ?r rest8)
	(inst gun8 gun)
	(inst rest8 restaurant)
	(inst ?p going-by-plane)
	(pack-step ?p pack8)
	(goer ?p fred8)
	(plane-luggage ?p sc8)
	(inst sc8 suitcase)
	(name fred8 fred)
	(precede get8 go8)
	(precede go8 pack8)))

(setf *at8b*
      '((inst ?r robbing)
	(get-weapon-step ?r get8)
	(go-step ?r go8)
	(robber ?r fred8)
	(weapon-rob ?r gun8)
	(place-rob ?r rest8)
	(inst gun8 gun)
	(inst ?p going-by-plane)
	(pack-step ?p pack8)
	(plane-luggage ?p sc8)
	(inst sc8 suitcase)
	(name fred8 fred)
	(precede go8 pack8)
	
	(inst ?d rest-dining)
	(go-step ?d ?p)
	(diner ?d fred8)
	(restaurant ?d rest8)))

"Tom went to the restuarant.  
 He put a straw in a milkshake."

(setf *t9*
      '((inst go9 going)
	(goer go9 tom9)
	(name tom9 tom)
	(dest-go go9 rest9)
	(inst rest9 restaurant)
	(precede go9 put9)
	(inst put9 putting)
        (agent-put put9 tom9)
        (patient-put put9 str9)
        (inst str9 straw)
        (place-put put9 ms9)
        (inst ms9 milkshake)))

(setf *at9*
      '((inst ?d rest-dining)
        (go-step ?d go9)
        (drink-step ?d ?dk)
        (put-straw-step ?dk put9)
        (diner ?d tom9)
        (restaurant ?d rest9)
        (rest-drink-straw ?d str9)
        (rest-thing-drunk ?d ms9)
        (inst ms9 milkshake)
        (name tom9 tom)
        (precede go9 put9)))

"Bob took a taxi to the liquor store. 
 He found some bourbon on the shelf."

(setf *t10*
      '((inst go10 going)
        (goer go10 bob10)
        (name bob10 bob)
        (vehicle go10 taxi10)
        (inst taxi10 taxi)
        (dest-go go10 ls10)
        (inst ls10 liquor-store)
	(precede go10 find10)
	(inst find10 finding)
	(finder find10 bob10)
	(thing-found find10 bourbon10)
	(inst bourbon10 bourbon)
	(on bourbon10 shf10)
	(inst shf10 shelf)))

(setf *at10*
      '((inst ?s liqst-shopping)
	(inst go10 going-by-taxi)
	(go-step ?s go10)
	(find-step ?s find10)
	(shopper ?s bob10)
	(vehicle go10 taxi10)
	(store ?s ls10)
	(thing-shopped-for ?s bourbon10)
	(inst bourbon10 bourbon)
	(on bourbon10 shf10)
	(inst shf10 shelf)
	(name bob10 bob)
	(precede go10 find10)))

"Jane took a taxi to the airport.  
 She pointed a gun at the taxi-driver."

(setf *t11*
      '((inst go11 going)
        (goer go11 jane11)
        (name jane11 jane)
        (vehicle go11 taxi11)
        (inst taxi11 taxi)
        (dest-go go11 airport11)
        (inst airport11 airport)
	(precede go11 point11)
	(inst point11 pointing)
	(agent-point point11 jane11)
	(instr-point point11 gun11)
	(inst gun11 gun)
	(patient-point point11 td11)
	(occupation td11 taxidriver)))

(setf *at11*
      '((inst ?p going-by-plane)
	(inst go11 going-by-taxi)
	(inst ?r robbing)
	(go-step ?p go11)
	(goer ?p jane11)
	(vehicle go11 taxi11)
	(source-go ?p airport11)
	(name jane11 jane)
	(point-weapon-step ?r point11)
	(robber ?r jane11)
	(weapon-rob ?r gun11)
	(victim-rob ?r td11)
	(inst gun11 gun)
	(taxi-driver go11 td11)
	(precede go11 point11)))

"John got a gun.  
 He took a taxi to the airport."

(setf *t12*
      '((inst get12 getting)
	(agent-get get12 john12)
	(name john12 john)
	(patient-get get12 gun12)
	(inst gun12 gun)
	(precede get12 go12)
	(inst go12 going)
        (goer go12 john12)
        (vehicle go12 taxi12)
        (inst taxi12 taxi)
        (dest-go go12 airport12)
        (inst airport12 airport)))

(setf *at12*
      '((inst ?r robbing)
        (inst go12 going-by-taxi)
        (get-weapon-step ?r get12)
        (go-step ?r go12)
        (robber ?r john12)
        (weapon-rob ?r gun12)
        (vehicle go12 taxi12)
        (place-rob ?r airport12)
        (inst gun12 gun)
        (inst airport12 airport)
        (name john12 john)
	(precede get12 go12)))

"Alice got a gun. 
 She went to the bus-station."

(setf *t13*
      '((inst get13 getting)
	(agent-get get13 alice13)
	(name alice13 alice)
	(patient-get get13 gun13)
	(inst gun13 gun)
	(precede get13 go13)
	(inst go13 going)
	(goer go13 alice13)
	(dest-go go13 bus-station13)
	(inst bus-station13 bus-station)))

(setf *at13*
      '((inst ?r robbing)
        (get-weapon-step ?r get13)
        (go-step ?r go13)
        (robber ?r alice13)
        (weapon-rob ?r gun13)
        (place-rob ?r bus-station13)
        (inst gun13 gun)
        (inst bus-station13 bus-station)
        (name alice13 alice)
	(precede get13 go13)))

"John paid the taxi-driver.  
 He got on the plane."

(setf *t14*
      '((inst pay14 paying)
	(payer pay14 john14)
	(name john14 john)
	(payee pay14 td14)
	(occupation td14 taxidriver)
	(precede pay14 geton14)
	(inst geton14 getting-on)
        (agent-get-on geton14 john14)
        (patient-get-on geton14 plane14)
        (inst plane14 plane)))

(setf *at14*
      '((inst ?p going-by-plane)
	(inst ?t going-by-taxi)
	(go-step ?p ?t)
	(pay-step ?t pay14)
	(get-on-step ?p geton14)
	(goer ?p john14)
	(taxi-driver ?t td14)
	(vehicle ?p plane14)
	(name john14 john)
	(precede pay14 geton14)))

"John took a cab to the airport."

(setf *t15*
      '((inst go15 going)
        (goer go15 john15)
        (name john15 john)
        (vehicle go15 taxi15)
        (inst taxi15 taxi)
        (dest-go go15 airport15)
        (inst airport15 airport)))

(setf *at15*
      '((inst ?t going-by-plane)
        (inst go15 going-by-taxi)
        (go-step ?t go15)
        (goer ?t john15)
        (vehicle go15 taxi15)
        (source-go ?t airport15)
        (name john15 john)))

"Fred got off the bus at the supermarket."

(setf *t16*
      '((inst getoff16 getting-off)
	(agent-get-off getoff16 fred16)
	(name fred16 fred)
	(patient-get-off getoff16 bus16)
	(inst bus16 bus)
	(place-get-off getoff16 sm16)
	(inst sm16 smarket)))

(setf *at16*
      '((inst ?s smarket-shopping)
	(inst ?b going-by-bus)
	(go-step ?s ?b)
	(get-off-step ?b getoff16)
	(shopper ?s fred16)
	(vehicle ?b bus16)
	(store ?s sm16)
	(name fred16 fred)))

"John packed a suitcase.  
 He paid the taxi-driver."

(setf *t17*
      '((inst pack17 packing)
        (agent-pack pack17 john17)
        (name john17 john)
        (patient-pack pack17 sc17)
        (inst sc17 suitcase)
	(precede pack17 pay17)
	(inst pay17 paying)
	(payer pay17 john17)
	(payee pay17 td17)
	(occupation td17 taxidriver)))

(setf *at17*
      '((inst ?p going-by-plane)
	(inst ?t going-by-taxi)
	(pack-step ?p pack17)
	(go-step ?p ?t)
	(pay-step ?t pay17)
	(goer ?p john17)
	(plane-luggage ?p sc17)
	(taxi-driver ?t td17)
	(inst sc17 suitcase)
	(name john17 john)
	(precede pack17 pay17)))

"Mary paid the taxi-driver.  
 She ordered a milkshake."

(setf *t18*
      '((inst pay18 paying)
	(payer pay18 mary18)
	(name mary18 mary)
	(payee pay18 td18)
	(occupation td18 taxidriver)
	(precede pay18 order18)
	(inst order18 ordering)
        (agent-order order18 mary18)
        (patient-order order18 ms18)
        (inst ms18 milkshake)))

(setf *at18*
      '((inst ?d rest-dining)
	(inst ?t going-by-taxi)
	(go-step ?d ?t)
	(pay-step ?t pay18)
	(order-step ?d order18)
	(diner ?d mary18)
	(taxi-driver ?t td18)
	(rest-thing-ordered ?d ms18)
	(inst ms18 milkshake)
	(name mary18 mary)
	(precede pay18 order18)))

"Mary got a gun.  
 She went to the supermarket. 
 She found the milk on the shelf.  
 She got some money from the cashier."

(setf *t19*
      '((inst get19 getting)
	(agent-get get19 mary19)
	(name mary19 mary)
	(patient-get get19 gun19)
	(inst gun19 gun)
	(precede get19 go19)
	(inst go19 going)
	(goer go19 mary19)
	(dest-go go19 sm19)
	(inst sm19 smarket)
	(precede go19 find19)
	(inst find19 finding)
	(finder find19 mary19)
	(thing-found find19 milk19)
	(inst milk19 milk)
	(on milk19 shf19)
	(inst shf19 shelf)
	(precede find19 get19b)
	(inst get19b getting)
        (agent-get get19b mary19)
        (patient-get get19b money19)
        (inst money19 money)
        (from-get get19b csh19)
	(occupation csh19 cashier)))

(setf *at19*
      '((inst ?r robbing)
	(inst ?s smarket-shopping)
	(get-weapon-step ?r get19)
	(go-step ?r go19)
	(go-step ?s go19)
	(find-step ?s find19)
	(get-valuable-step ?r get19b)
	(robber ?r mary19)
	(shopper ?s mary19)
	(weapon-rob ?r gun19)
	(place-rob ?r sm19)
	(store ?s sm19)
	(thing-shopped-for ?s milk19)
	(thing-robbed ?r money19)
	(victim-rob ?r csh19)
	(inst gun19 gun)
	(inst milk19 milk)
	(on milk19 shf19)
	(inst shf19 shelf)
	(inst money19 money)
	(occupation csh19 cashier)
	(name mary19 mary)
	(precede get19 go19)
	(precede go19 find19)
	(precede find19 get19b)))

"Bill took a taxi to the liquor store.  
 He paid for the bourbon."

(setf *t20*
      '((inst go20 going)
        (goer go20 bill20)
	(name bill20 bill)
        (vehicle go20 taxi20)
        (inst taxi20 taxi)
        (dest-go go20 ls20)
        (inst ls20 liquor-store)
	(precede go20 pay20)
	(inst pay20 paying)
	(payer pay20 bill20)
	(thing-paid pay20 bourbon20)
	(inst bourbon20 bourbon)))

(setf *at20*
      '((inst ?s liqst-shopping)
	(inst go20 going-by-taxi)
	(go-step ?s go20)
	(buy-step ?s ?b)
	(pay-step ?b pay20)
	(shopper ?s bill20)
	(vehicle go20 taxi20)
	(store ?s ls20)
	(thing-shopped-for ?s bourbon20)
	(inst bourbon20 bourbon)
	(name bill20 bill)
	(precede go20 pay20)))

"Bill paid for the bourbon."

(setf *t21*
      '((inst pay21 paying)
	(payer pay21 bill21)
	(name bill21 bill)
	(thing-paid pay21 bourbon21)
	(inst bourbon21 bourbon)))

(setf *at21*
      '((inst pay21 paying)
	(payer pay21 bill21)
	(name bill21 bill)
	(thing-paid pay21 bourbon21)
	(inst bourbon21 bourbon)))

"Bill paid for the milk."

(setf *t22*
      '((inst pay22 paying)
	(payer pay22 bill22)
	(name bill22 bill)
	(thing-paid pay22 milk22)
	(inst milk22 milk)))

(setf *at22*
      '((inst pay22 paying)
	(payer pay22 bill22)
	(name bill22 bill)
	(thing-paid pay22 milk22)
	(inst milk22 milk)))

"John bought a ticket.  
 He went to the restaurant.  
 He ordered a milkshake. 
 He got on the plane."

(setf *t23*
      '((inst buy23 buying)
        (buyer buy23 john23)
	(name john23 john)
        (thing-bought buy23 tk23)
        (inst tk23 ticket)
	(precede buy23 go23)
	(inst go23 going)
	(goer go23 john23)
	(dest-go go23 rest23)
	(inst rest23 restaurant)
	(precede go23 order23)
	(inst order23 ordering)
        (agent-order order23 john23)
        (patient-order order23 ms23)
        (inst ms23 milkshake)
	(precede order23 geton23)
	(inst geton23 getting-on)
        (agent-get-on geton23 john23)
        (patient-get-on geton23 plane23)
        (inst plane23 plane)))

(setf *at23*
      '((inst ?p going-by-plane)
	(buy-ticket-step ?p buy23)
	(get-on-step ?p geton23)
	(goer ?p john23)
	(plane-ticket ?p tk23)
	(vehicle ?p plane23)
	(inst ?d rest-dining)
	(go-step ?d go23)
	(order-step ?d order23)
	(diner ?d john23)
	(restaurant ?d rest23)
	(rest-thing-ordered ?d ms23)
	(inst ms23 milkshake)
	(name john23 john)
	(precede buy23 go23)
	(precede go23 order23)
	(precede order23 geton23)))

"Mary went to the bus-station.  
 She got off at the restaurant.
 She drank some milk."

(setf *t24*
      '((inst go24 going)
	(goer go24 mary24)
	(name mary24 mary)
	(dest-go go24 bus-station24)
	(inst bus-station24 bus-station)
	(precede go24 getoff24)
	(inst getoff24 getting-off)
	(agent-get-off getoff24 mary24)
	(place-get-off getoff24 rest24)
	(inst rest24 restaurant)
	(precede getoff24 drink24)
	(inst drink24 drinking)
        (drinker drink24 mary24)
        (patient-drink drink24 milk24)
        (inst milk24 milk)))

(setf *at24*
      '((inst ?d rest-dining)
	(inst ?b going-by-bus)
	(go-step ?d ?b)
	(go-step ?b go24)
	(get-off-step ?b getoff24)
	(drink-step ?d drink24)
	(diner ?d mary24)
	(source-go ?b bus-station24)
	(restaurant ?d rest24)
	(rest-thing-drunk ?d milk24)
	(inst milk24 milk)
	(name mary24 mary)  
	(precede go24 getoff24)   
	(precede getoff24 drink24)))

"Jane packed her bag.  
 She got off the plane."

(setf *t25*
      '((inst pack25 packing)
	(agent-pack pack25 jane25)
	(name jane25 jane)
	(patient-pack pack25 bag25)
	(inst bag25 bag)
	(precede pack25 getoff25)
	(inst getoff25 getting-off)
	(agent-get-off getoff25 jane25)
	(patient-get-off getoff25 plane25)
	(inst plane25 plane)))

(setf *at25*
      '((inst ?p going-by-plane)
	(pack-step ?p pack25)
	(get-off-step ?p getoff25)
	(goer ?p jane25)
	(plane-luggage ?p bag25)
	(vehicle ?p plane25)
	(name jane25 jane)
	(precede pack25 getoff25)))
