;;; -*- Mode:Common-Lisp; Package:user; Base:10 -*-


(in-package :user)

"Jack went to the supermarket.
 He found some milk on the shelf.
 He paid for it."

(setf *e1*
      '((inst go1 going)
	(goer go1 jack1)
	(name jack1 jack)
	(dest-go go1 sm1)
	(inst sm1 smarket)
	(precede go1 find1)
	(inst find1 finding)
	(finder find1 jack1)
	(thing-found find1 milk1)
	(inst milk1 milk)
	(on milk1 shf1)
	(inst shf1 shelf)
	(precede find1 pay1)
	(inst pay1 paying)
	(payer pay1 jack1)
	(thing-paid pay1 milk1)))

(setf *a1*
      '((inst ?s smarket-shopping)
	(go-step ?s go1)
	(find-step ?s find1)
	(buy-step ?s ?b)
	(pay-step ?b pay1)
	(shopper ?s jack1)
	(store ?s sm1)
	(thing-shopped-for ?s milk1)
	(name jack1 jack)
	(inst milk1 milk)
	(on milk1 shf1)
	(inst shf1 shelf)
	(precede go1 find1)
	(precede find1 pay1)))

"Bill went to the supermarket.
 He paid for some milk."

(setf *e2*
      '((inst go2 going)
	(goer go2 bill2)
	(name bill2 bill)
	(dest-go go2 sm2)
	(inst sm2 smarket)
	(precede go2 pay2)
	(inst pay2 paying)
	(payer pay2 bill2)
	(thing-paid pay2 milk2)
	(inst milk2 milk)))

(setf *a2*
      '((inst ?s smarket-shopping)
	(go-step ?s go2)
	(buy-step ?s ?b)
	(pay-step ?b pay2)
	(shopper ?s bill2)
	(store ?s sm2)
	(thing-shopped-for ?s milk2)
	(name bill2 bill)
	(inst milk2 milk)
	(precede go2 pay2)))

"Jack gave the busdriver a token.
 He got off at the supermarket."

(setf *e3*
      '((inst give3 giving)
	(giver give3 jack3)
	(name jack3 jack)
	(recipient give3 bd3)
	(occupation bd3 busdriver)
	(thing-given give3 tk3)
	(inst tk3 token)
	(precede give3 getoff3)
	(inst getoff3 getting-off)
	(agent-get-off getoff3 jack3)
	(place-get-off getoff3 sm3)
	(inst sm3 smarket)))

(setf *a3*
      '((inst ?s smarket-shopping)
	(inst ?b going-by-bus)
	(go-step ?s ?b)
	(give-token-step ?b give3)
	(get-off-step ?b getoff3)
	(shopper ?s jack3)
	(store ?s sm3)
	(bus-driver ?b bd3)
	(token ?b tk3)
	(name jack3 jack)
	(precede give3 getoff3)))

"Jack got off the bus at the liquor-store.
 He pointed a gun at the owner."

(setf *e4*
      '((inst getoff4 getting-off)
	(agent-get-off getoff4 jack4)
	(name jack4 jack)
	(patient-get-off getoff4 bus4)
	(inst bus4 bus)
	(place-get-off getoff4 ls4)
	(inst ls4 liquor-store)
	(precede getoff4 point4)
	(inst point4 pointing)
	(agent-point point4 jack4)
	(instr-point point4 gun4)
	(inst gun4 gun)
	(patient-point point4 o4)
	(own o4 ls4)))

(setf *a4*
      '((inst ?r robbing)
	(inst ?b going-by-bus)
	(go-step ?r ?b)
	(get-off-step ?b getoff4)
	(point-weapon-step ?r point4)
	(vehicle ?b bus4)
	(robber ?r jack4)
	(weapon-rob ?r gun4)
	(victim-rob ?r o4)
	(place-rob ?r ls4)
	(name jack4 jack)
	(inst ls4 liquor-store)
	(inst gun4 gun)
	(own o4 ls4)
	(precede getoff4 point4)))

"Jack went to the liquor-store.
 He found some bourbon on the shelf."

(setf *e5*
      '((inst go5 going)
	(goer go5 jack5)
	(name jack5 jack)
	(dest-go go5 ls5)
	(inst ls5 liquor-store)
	(precede go5 find5)
	(inst find5 finding)
	(finder find5 jack5)
	(thing-found find5 bourbon5)
	(inst bourbon5 bourbon)
	(on bourbon5 shf5)
	(inst shf5 shelf)))

(setf *a5*
      '((inst ?s liqst-shopping)
	(go-step ?s go5)
	(find-step ?s find5)
	(shopper ?s jack5)
	(store ?s ls5)
	(thing-shopped-for ?s bourbon5)
	(name jack5 jack)
	(inst bourbon5 bourbon)
	(on bourbon5 shf5)
	(inst shf5 shelf)
	(precede go5 find5)))

"Bill went to the liquor-store.
 He pointed a gun at the owner."

(setf *e6*
      '((inst go6 going)
	(goer go6 bill6)
	(name bill6 bill)
	(dest-go go6 ls6)
	(inst ls6 liquor-store)
	(precede go6 point6)
	(inst point6 pointing)
	(agent-point point6 bill6)
	(instr-point point6 gun6)
	(inst gun6 gun)
	(patient-point point6 o6)
	(own o6 ls6)))

(setf *a6*
      '((inst ?r robbing)
	(go-step ?r go6)
	(point-weapon-step ?r point6)
	(robber ?r bill6)
	(place-rob ?r ls6)
	(weapon-rob ?r gun6)
	(victim-rob ?r o6)
	(name bill6 bill)
	(inst ls6 liquor-store)
	(inst gun6 gun)
	(own o6 ls6)
	(precede go6 point6)))

"Bill gave the busdriver a token."

(setf *e7*
      '((inst give7 giving)
	(giver give7 bill7)
	(name bill7 bill)
	(recipient give7 bd7)
	(occupation bd7 busdriver)
	(thing-given give7 tk7)
	(inst tk7 token)))

(setf *a7*
      '((inst ?b going-by-bus)
	(give-token-step ?b give7)
	(goer ?b bill7)
	(bus-driver ?b bd7)
	(token ?b tk7)
	(name bill7 bill)))

"Fred robbed the liquor-store.
 Fred pointed a gun at the owner."

(setf *e8*
      '((inst rob8 robbing)
	(robber rob8 fred8)
	(name fred8 fred)
	(place-rob rob8 ls8)
	(inst ls8 liquor-store)
	(inst point8 pointing)
	(agent-point point8 fred8)
	(instr-point point8 gun8)
	(inst gun8 gun)
	(patient-point point8 o8)
	(own o8 ls8)))

(setf *a8*
      '((inst rob8 robbing)
	(point-weapon-step rob8 point8)
	(robber rob8 fred8)
	(weapon-rob rob8 gun8)
	(victim-rob rob8 o8)
	(place-rob rob8 ls8)
	(name fred8 fred)
	(inst ls8 liquor-store)
	(inst gun8 gun)
	(own o8 ls8)))

"Bill got a gun.
 He went to the supermarket."

(setf *e9*
      '((inst get9 getting)
	(agent-get get9 bill9)
	(name bill9 bill)
	(patient-get get9 gun9)
	(inst gun9 gun)
	(precede get9 go9)
	(inst go9 going)
	(goer go9 bill9)
	(dest-go go9 sm9)
	(inst sm9 smarket)))

(setf *a9*
      '((inst ?r robbing)
	(get-weapon-step ?r get9)
	(go-step ?r go9)
	(robber ?r bill9)
	(weapon-rob ?r gun9)
	(place-rob ?r sm9)
	(name bill9 bill)
	(inst gun9 gun)
	(inst sm9 smarket)
	(precede get9 go9)))

"Fred went to the supermarket.
 He pointed a gun at the owner.
 He packed his bag.
 He went to the airport."

(setf *e10*
      '((inst go10 going)
	(goer go10 fred10)
	(name fred10 fred)
	(dest-go go10 sm10)
	(inst sm10 smarket)
	(precede go10 point10)
	(inst point10 pointing)
	(agent-point point10 fred10)
	(instr-point point10 gun10)
	(inst gun10 gun)
	(patient-point point10 o10)
	(own o10 sm10)
	(precede point10 pack10)
	(inst pack10 packing)
	(agent-pack pack10 fred10)
	(patient-pack pack10 bag10)
	(inst bag10 bag)
	(precede pack10 go10b)
	(inst go10b going)
	(goer go10b fred10)
	(dest-go go10b airport10)
	(inst airport10 airport)))

(setf *a10*
      '((inst ?r robbing)
	(go-step ?r go10)
	(point-weapon-step ?r point10)
	(robber ?r fred10)
	(place-rob ?r sm10)
	(weapon-rob ?r gun10)
	(victim-rob ?r o10)
	(inst ?p going-by-plane)
	(pack-step ?p pack10)
	(go-step ?p go10b)
	(goer ?p fred10)
	(plane-luggage ?p bag10)
	(source-go ?p airport10)
	(name fred10 fred)
	(inst sm10 smarket)
	(inst gun10 gun)
	(own o10 sm10)
	(precede go10 point10)
	(precede point10 pack10)
	(precede pack10 go10b)))

"Jack took the bus to the airport.
 He bought a ticket."

(setf *e11*
      '((inst go11 going)
        (goer go11 jack11)
        (name jack11 jack)
        (vehicle go11 bus11)
        (inst bus11 bus)
        (dest-go go11 airport11)
        (inst airport11 airport)
	(precede go11 buy11)
        (inst buy11 buying)
        (buyer buy11 jack11)
        (thing-bought buy11 tk11)
        (inst tk11 ticket)))

(setf *a11*
      '((inst ?p going-by-plane)
	(inst go11 going-by-bus)
	(go-step ?p go11)
	(buy-ticket-step ?p buy11)
	(vehicle go11 bus11)
	(goer ?p jack11)
	(source-go ?p airport11)
	(plane-ticket ?p tk11)
	(name jack11 jack)
	(precede go11 buy11)))

"Bill packed a suitcase.
 He went to the airport."

(setf *e12*
      '((inst pack12 packing)
        (agent-pack pack12 bill12)
        (name bill12 bill)
        (patient-pack pack12 sc12)
        (inst sc12 suitcase)
	(precede pack12 go12)
        (inst go12 going)
        (goer go12 bill12)
        (dest-go go12 airport12)
        (inst airport12 airport)))

(setf *a12*
      '((inst ?p going-by-plane)
	(pack-step ?p pack12)
	(go-step ?p go12)
	(goer ?p bill12)
	(plane-luggage ?p sc12)
	(source-go ?p airport12)
	(name bill12 bill)
	(inst sc12 suitcase)
	(precede pack12 go12)))

"Jack got on a bus.
 He got off at the park.
 Jack went to the supermarket."

(setf *e13*
      '((inst geton13 getting-on)
        (agent-get-on geton13 jack13)
        (name jack13 jack)
        (patient-get-on geton13 bus13)
        (inst bus13 bus)
	(precede geton13 getoff13)
        (inst getoff13 getting-off)
	(agent-get-off getoff13 jack13)
	(place-get-off getoff13 park13)
	(inst park13 park)
	(precede getoff13 go13)
        (inst go13 going)
	(goer go13 jack13)
	(dest-go go13 sm13)
	(inst sm13 smarket)))

(setf *a13*
      '((inst ?b going-by-bus)
	(get-on-step ?b geton13)
	(get-off-step ?b getoff13)
	(goer ?b jack13)
	(vehicle ?b bus13)
	(dest-go ?b park13)	
	(inst ?s smarket-shopping)
	(go-step ?s go13)
	(shopper ?s jack13)
	(store ?s sm13)
	(name jack13 jack)
	(inst park13 park)
	(precede geton13 getoff13)
	(precede getoff13 go13)))

; old solution

(setf *a13b*
      '((inst ?b going-by-bus)
	(get-on-step ?b geton13)
	(get-off-step ?b getoff13)
	(vehicle ?b bus13)
	(inst go13 going-by-vehicle)
	(go-step go13 ?b)
	(source-go go13 park13)
	(inst ?s smarket-shopping)
	(go-step ?s go13)
	(shopper ?s jack13)
	(store ?s sm13)
	(name jack13 jack)
	(inst park13 park)
	(precede geton13 getoff13)
	(precede getoff13 go13)))

"Jack gave the busdriver a token.
 He got off at the park.
 He went to the airport.
 He got on a plane."

(setf *e14*
      '((inst give14 giving)
	(giver give14 jack14)
	(name jack14 jack)
	(recipient give14 bd14)
	(occupation bd14 busdriver)
	(thing-given give14 tk14)
	(inst tk14 token)
	(precede give14 getoff14)
        (inst getoff14 getting-off)
	(agent-get-off getoff14 jack14)
	(place-get-off getoff14 park14)
	(inst park14 park)
	(precede getoff14 go14)
        (inst go14 going)
        (goer go14 jack14)
        (dest-go go14 airport14)
        (inst airport14 airport)
	(precede go14 geton14)
        (inst geton14 getting-on)
        (agent-get-on geton14 jack14)
        (patient-get-on geton14 plane14)
        (inst plane14 plane)))
 
(setf *a14*
      '((inst ?b going-by-bus)
	(give-token-step ?b give14)
	(get-off-step ?b getoff14)
	(goer ?b jack14)
	(bus-driver ?b bd14)
	(token ?b tk14)
	(dest-go ?b park14)
	(inst ?p going-by-plane)
	(go-step ?p go14)
	(get-on-step ?p geton14)
	(goer ?p jack14)
	(source-go ?p airport14)
	(vehicle ?p plane14)
	(name jack14 jack)
	(inst park14 park)
	(precede give14 getoff14)
	(precede getoff14 go14)
	(precede go14 geton14)))

; old solution

(setf *a14b*
      '((inst ?b going-by-bus)
	(give-token-step ?b give14)
	(get-off-step ?b getoff14)
	(bus-driver ?b bd14)
	(token ?b tk14)
	(inst go14 going-by-vehicle)
	(go-step go14 ?b)
	(source-go go14 park14)
	(inst ?p going-by-plane)
	(go-step ?p go14)
	(get-on-step ?p geton14)
	(goer ?p jack14)
	(source-go ?p airport14)
	(vehicle ?p plane14)
	(name jack14 jack)
	(inst park14 park)
	(precede give14 getoff14)
	(precede getoff14 go14)
	(precede go14 geton14)))

"Fred sat down on the bus.
 He went to the supermarket."

(setf *e15*
      '((inst sit15 sitting)
        (agent-sit sit15 fred15)
	(name fred15 fred)
        (patient-sit sit15 seat15)
        (inst seat15 seat)
        (in seat15 bus15)
        (inst bus15 bus)
	(precede sit15 go15)
        (inst go15 going)
	(goer go15 fred15)
	(dest-go go15 sm15)
	(inst sm15 smarket)))

(setf *a15*
      '((inst ?s smarket-shopping)
	(go-step ?s go15)
	(shopper ?s fred15)
	(store ?s sm15)
	(inst go15 going-by-bus)
	(sit-step go15 sit15)
	(vehicle-seat go15 seat15)
	(vehicle go15 bus15)
	(name fred15 fred)
	(precede sit15 go15)))

"Jack went to a restaurant.
 He got a milkshake."

(setf *e16*
      '((inst go16 going)
	(goer go16 jack16)
	(name jack16 jack)
	(dest-go go16 rest16)
	(inst rest16 restaurant)
	(precede go16 order16)
        (inst order16 ordering)
        (agent-order order16 jack16)
        (patient-order order16 ms16)
        (inst ms16 milkshake)))

(setf *a16*
      '((inst ?d rest-dining)
	(go-step ?d go16)
	(diner ?d jack16)
	(restaurant ?d rest16)
	(order-step ?d order16)
	(rest-thing-ordered ?d ms16)
	(name jack16 jack)
	(inst ms16 milkshake)
	(precede go16 order16)))

"Bill drank a milkshake with a straw."

(setf *e17*
      '((inst drink17 drinking)
        (drinker drink17 bill17)
        (name bill17 bill)
        (patient-drink drink17 ms17)
        (inst ms17 milkshake)
        (instr-drink drink17 str17)
        (inst str17 straw)))

(setf *a17*
      '((inst drink17 drinking)
        (drinker drink17 bill17)
        (name bill17 bill)
        (patient-drink drink17 ms17)
        (inst ms17 milkshake)
        (instr-drink drink17 str17)))

"Fred got off the bus at a restaurant.
 He got a milkshake."

(setf *e18*
      '((inst getoff18 getting-off)
	(agent-get-off getoff18 fred18)
	(name fred18 fred)
	(patient-get-off getoff18 bus18)
	(inst bus18 bus)
	(place-get-off getoff18 rest18)
	(inst rest18 restaurant)
	(precede getoff18 order18)
        (inst order18 ordering)
        (agent-order order18 fred18)
        (patient-order order18 ms18)
        (inst ms18 milkshake)))

(setf *a18*
      '((inst ?d rest-dining)
	(go-step ?d ?b)
	(order-step ?d order18)
	(inst ?b going-by-bus)
	(get-off-step ?b getoff18)
	(vehicle ?b bus18)
	(diner ?d fred18)
	(restaurant ?d rest18)
	(rest-thing-ordered ?d ms18)
	(name fred18 fred)
	(inst ms18 milkshake)
	(precede getoff18 order18)))

"Janet put a straw in a milkshake."

(setf *e19*
      '((inst put19 putting)
        (agent-put put19 janet19)
        (name janet19 janet)
        (patient-put put19 str19)
        (inst str19 straw)
        (place-put put19 ms19)
        (inst ms19 milkshake)))

(setf *a19*
      '((inst ?d drinking)
	(put-straw-step ?d put19)
	(drinker ?d janet19)
	(instr-drink ?d str19)
	(patient-drink ?d ms19)
	(name janet19 janet)
	(inst ms19 milkshake)))

"Bill got on a bus.
 He got off at a restaurant.
 He drank a milkshake with a straw."

(setf *e20*
      '((inst geton20 getting-on)
        (agent-get-on geton20 bill20)
        (name bill20 bill)
        (patient-get-on geton20 bus20)
        (inst bus20 bus)
	(precede geton20 getoff20)
        (inst getoff20 getting-off)
	(agent-get-off getoff20 bill20)
	(place-get-off getoff20 rest20)
	(inst rest20 restaurant)
	(precede getoff20 drink20)
        (inst drink20 drinking)
        (drinker drink20 bill20)
        (patient-drink drink20 ms20)
        (inst ms20 milkshake)
        (instr-drink drink20 str20)
        (inst str20 straw)))

(setf *a20*
      '((inst ?d rest-dining)
	(go-step ?d ?b)
	(inst ?b going-by-bus)
	(get-on-step ?b geton20)
	(vehicle ?b bus20)
	(get-off-step ?b getoff20)
	(diner ?d bill20)
	(restaurant ?d rest20)
	(drink-step ?d drink20)
	(rest-thing-drunk ?d ms20)
	(rest-drink-straw ?d str20)
	(name bill20 bill)
	(inst ms20 milkshake)
	(precede geton20 getoff20)
	(precede getoff20 drink20)))

"Bill took a bus to a restaurant.
 He drank a milkshake.
 He pointed a gun at the owner.
 He got some money from him."

(setf *e21*
      '((inst go21 going)
        (goer go21 bill21)
        (name bill21 bill)
        (vehicle go21 bus21)
        (inst bus21 bus)
        (dest-go go21 rest21)
        (inst rest21 restaurant)
	(precede go21 drink21)
        (inst drink21 drinking)
        (drinker drink21 bill21)
        (patient-drink drink21 ms21)
        (inst ms21 milkshake)
	(precede drink21 point21)
	(inst point21 pointing)
	(agent-point point21 bill21)
	(instr-point point21 gun21)
	(inst gun21 gun)
	(patient-point point21 o21)
	(own o21 rest21)
	(precede point21 get21)
        (inst get21 getting)
        (agent-get get21 bill21)
        (patient-get get21 money21)
        (inst money21 money)
        (from-get get21 o21)))

(setf *a21*
      '((inst ?d rest-dining)
	(go-step ?d go21)
	(diner ?d bill21)
	(inst go21 going-by-bus)
	(restaurant ?d rest21)
	(drink-step ?d drink21)
	(rest-thing-drunk ?d ms21)
	(inst ?r robbing)
	(go-step ?r go21)
	(place-rob ?r rest21)
	(point-weapon-step ?r point21)
	(robber ?r bill21)
	(weapon-rob ?r gun21)
	(victim-rob ?r o21)
	(get-valuable-step ?r get21)
	(thing-robbed ?r money21)
	(name bill21 bill)
	(vehicle go21 bus21)
	(inst ms21 milkshake)
	(inst gun21 gun)
	(own o21 rest21)
	(inst money21 money)
	(precede go21 drink21)
	(precede drink21 point21)
	(precede point21 get21)))

"Fred gave the busdriver a token.
 He got off the bus at the park.
 He went to a restaurant.
 He got some money from the owner."

(setf *e22*
      '((inst give22 giving)
	(giver give22 fred22)
	(name fred22 fred)
	(recipient give22 bd22)
	(occupation bd22 busdriver)
	(thing-given give22 tk22)
	(inst tk22 token)
	(precede give22 getoff22)
        (inst getoff22 getting-off)
	(agent-get-off getoff22 fred22)
        (patient-get-off getoff22 bus22)
        (inst bus22 bus)
	(place-get-off getoff22 park22)
	(inst park22 park)
	(precede getoff22 go22)
        (inst go22 going)
        (goer go22 fred22)
        (dest-go go22 rest22)
        (inst rest22 restaurant)
	(precede go22 get22)
        (inst get22 getting)
        (agent-get get22 fred22)
        (patient-get get22 money22)
        (inst money22 money)
        (from-get get22 o22)
        (own o22 rest22)))

(setf *a22*
      '((inst ?b going-by-bus)
	(give-token-step ?b give22)
	(get-off-step ?b getoff22)
	(goer ?b fred22)
	(bus-driver ?b bd22)
	(token ?b tk22)
	(vehicle ?b bus22)
	(dest-go ?b park22)
	(inst ?r robbing)
	(go-step ?r go22)
	(get-valuable-step ?r get22)
	(robber ?r fred22)
	(place-rob ?r rest22)
	(thing-robbed ?r money22)
	(victim-rob ?r o22)
	(name fred22 fred)
	(inst park22 park)
	(inst rest22 restaurant)
	(inst money22 money)
	(own o22 rest22)
	(precede give22 getoff22)
	(precede getoff22 go22)
	(precede go22 get22)))

; old solution

(setf *a22b*
      '((inst ?b going-by-bus)
	(give-token-step ?b give22)
	(bus-driver ?b bd22)
	(token ?b tk22)
	(get-off-step ?b getoff22)
	(vehicle ?b bus22)
	(inst go22 going-by-vehicle)
	(go-step go22 ?b)
	(source-go go22 park22)
	(inst ?r robbing)
	(go-step ?r go22)
	(robber ?r fred22)
	(place-rob ?r rest22)
	(get-valuable-step ?r get22)
	(thing-robbed ?r money22)
	(victim-rob ?r o22)
	(name fred22 fred)
	(inst park22 park)
	(inst rest22 restaurant)
	(inst money22 money)
	(own o22 rest22)
	(precede give22 getoff22)
	(precede getoff22 go22)
	(precede go22 get22)))

"Jack took a taxi to the park."

(setf *e23*
      '((inst go23 going)
        (goer go23 jack23)
        (name jack23 jack)
        (vehicle go23 taxi23)
        (inst taxi23 taxi)
        (dest-go go23 park23)
        (inst park23 park)))

(setf *a23*
      '((inst go23 going-by-taxi)
	(goer go23 jack23)
	(name jack23 jack)
	(vehicle go23 taxi23)
	(dest-go go23 park23)
	(inst park23 park)))

"Bill took a taxi."

(setf *e24*
      '((inst go24 going)
        (goer go24 bill24)
        (name bill24 bill)
        (vehicle go24 taxi24)
        (inst taxi24 taxi)))

(setf *a24*
      '((inst go24 going-by-taxi)
	(goer go24 bill24)
	(name bill24 bill)
	(vehicle go24 taxi24)))

"Fred took a taxi to the bus-station.
 He got on a bus."

(setf *e25*
      '((inst go25 going)
        (goer go25 fred25)
        (name fred25 fred)
        (vehicle go25 taxi25)
        (inst taxi25 taxi)
        (dest-go go25 bus-station25)
        (inst bus-station25 bus-station)
	(precede go25 geton25)
        (inst geton25 getting-on)
        (agent-get-on geton25 fred25)
        (patient-get-on geton25 bus25)
        (inst bus25 bus)))

(setf *a25*
      '((inst ?b going-by-bus)
	(go-step ?b go25)
	(inst go25 going-by-taxi)
	(goer ?b fred25)
	(source-go ?b bus-station25)
	(get-on-step ?b geton25)
	(vehicle ?b bus25)
	(name fred25 fred)
	(vehicle go25 taxi25)
	(precede go25 geton25)))
